Summary:	Securely store data on DVD/CD media
Name:		dvdisaster
Version:	0.72.4
Release:	1
License:	GPLv2
Group:		Archiving/Backup
URL:		http://dvdisaster.net/
Source0:	http://dvdisaster.net/downloads/%{name}-%{version}.tar.bz2
Patch0:          dvdisaster-0.72.1-fix-format-errors.patch
BuildRequires:	gettext-devel
BuildRequires:	libglib2-devel
BuildRequires:	pango-devel
BuildRequires:	libgtk+2.0-devel
BuildRequires:	libbzip2-devel

%description
dvdisaster is a way to securely store data on DVD/CD media.

CD, DVD and BD media keep their data only for a finite time (typically for many years). After that time, data loss develops slowly with read errors growing from the outer media region towards the inside.

dvdisaster stores data on CD/DVD/BD (supported media) in a way that it is fully recoverable even after some read errors have developed. This enables you to rescue the complete data to a new medium.

Data loss is prevented by using error correcting codes. Error correction data is either added to the medium or kept in separate error correction files. dvdisaster works at the image level so that the recovery does not depend on the file system of the medium. The maximum error correction capacity is user-selectable.

#--------------------------------------------------------------------

%prep
%setup -q
#%patch0 -p 1

%build
#export CFLAGS="-O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE -DFILE_OFFSET_BITS=64"
./configure \
    --prefix=%{_prefix} \
    --buildroot=%{buildroot} \
    --mandir=%{_mandir} \
    --localedir=%{_datadir}/locale \
    --docdir=%{_datadir}/doc \
    --docsubdir=%{name}
%__make CFLAGS="%{optflags}"

%install
%makeinstall_std

%files
%{_bindir}/dvdisaster*
%doc CHANGELOG COPYING CREDIT* README* TODO INSTALL documentation
%{_mandir}/man?/%{name}*
%{_mandir}/*/man?/%{name}*
%{_datadir}/locale/*/LC_MESSAGES/*


%changelog
* Sat Apr 28 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.72.4-1
+ Revision: 794267
- version update 0.72.4

* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.72.1-4mdv2011.0
+ Revision: 617908
- the mass rebuild of 2010.0 packages

* Wed Oct 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.72.1-3mdv2010.0
+ Revision: 455775
- fix build
- fix dependencies

* Wed Sep 30 2009 Bruno Cornec <bcornec@mandriva.org> 0.72.1-2mdv2010.0
+ Revision: 451190
- Adds missing libbzip2(-devel) dep for require and build resp.
- Update dependency list to try to fix a build issue on cluster
- Upload first version of dvdisaster (0.72.1)
- create dvdisaster

